import api from './api'

/**
 * 订单列表  
 */
export function orderTakeFoods(data) {
  return api.get('/order/list', data, { login: false })
}

/**
 * 订单创建  
 */
export function orderSubmit(data) {
  return api.post(`/order/create`, data, { login: false })
}

/**
 * 订单创建  
 */
export function orderCancel(data) {
  return api.post(`/order/cancel`, data, { login: false })
}



/**
 * 订单列表  
 */
export function orderGetOrders(data) {
  return api.get(`/order/list`, data, { login: false })
}


/**
 * 计算详情 
 */
export function orderDetail(data) {
  return api.get(`/order/detail/${data}`, data, { login: false })
}



/**
 * 订单收货 
 */
export function orderReceive(data) {
  return api.post(`/order/take`, data, { login: false })
}

/**
 * 订单退款 
 */
export function orderRefund(data) {
  return api.post(`/order/refund`, data, { login: false })
}


/**
 * 订单支付 
 */
export function payUnify(data) {
  return api.post(`/order/pay`, data, { login: false })
}

/**
 * getWechatConfig 	
 */
export function getWechatConfig() {
  return api.get(`/member/wx-mp/create-jsapi-signature`, { url: location.href }, { login: false })
}

/**
 * 根据分销商ID获取订单列表  
 * 分销员api已经存在该接口
 */
// export function listByDistributor(distributorId) {
//   return api.get(`/order/listByDistributor`, { distributorId }, { login: false })
// }

/**
 * 申请发票
 */
export function applyInvoice(orderId, invoicePrice, data) {
  return api.put(`/order/invoice/apply?orderId=${orderId}&invoicePrice=${invoicePrice}`, data, { login: false });
}


